## org.apache.xalan.xpath.dtm
Class DTMNodeLocator

    java.lang.Object
      |
      +--org.apache.xalan.xpath.SimpleNodeLocator
            |
            +--org.apache.xalan.xpath.dtm.DTMNodeLocator

public class DTMNodeLocator
extends SimpleNodeLocator

**For advanced use only**

See Also:
  Serialized Form

Constructor Summary
`DTMNodeLocator()` **For advanced use only** Create a DTMNodeLocator object.

Method Summary
`static XLocator` `getDefaultLocator()` **For advanced use only** The default locator.

Methods inherited from class org.apache.xalan.xpath.SimpleNodeLocator
`connect, connectToNodes, doPredicate, factory, locationPath, locationPathPattern, nodeTest, query, union`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMNodeLocator

    public DTMNodeLocator()

  **For advanced use only** Create a DTMNodeLocator object.

Method Detail

### getDefaultLocator

    public static XLocator getDefaultLocator()

  **For advanced use only** The default locator.

Copyright © 2000 Apache XML Project. All Rights Reserved.